-- 基础信息
base_info = {
	group_id = 133304578
}

-- Trigger变量
defs = {
	gadget_prison = 578001,
	duration = 210,
	rampage_time = 40,
	eye_point = 578082
}

-- DEFS_MISCS
local energy_info = {
        [1] = { time = 100, step = {-30,30},points = { 578087, 578088, 578089, 578090, 278091, 78092}},
        --[2] = { time = 180, step = {-1,1},points = {5075,5076,5077,5078,5079,5080}},
}
--这个group对应的图用哪些，这里就填哪些（对应关系请咨询TD）
local disguiseList = {34,35,36}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[578001] = { config_id = 578001, gadget_id = 70800087, pos = { x = -1104.122, y = 213.356, z = 2705.321 }, rot = { x = 0.000, y = 299.643, z = 0.000 }, level = 10, area_id = 21 },
	[578002] = { config_id = 578002, gadget_id = 70800436, pos = { x = -1147.185, y = 223.288, z = 2703.031 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 21 },
	[578003] = { config_id = 578003, gadget_id = 70800436, pos = { x = -1137.997, y = 223.897, z = 2706.283 }, rot = { x = 0.000, y = 20.000, z = 0.000 }, level = 10, area_id = 21 },
	[578004] = { config_id = 578004, gadget_id = 70800436, pos = { x = -1117.875, y = 219.822, z = 2702.584 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 21 },
	[578005] = { config_id = 578005, gadget_id = 70800107, pos = { x = -1115.199, y = 247.000, z = 2729.948 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[578006] = { config_id = 578006, gadget_id = 70800436, pos = { x = -1111.876, y = 219.851, z = 2703.731 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 10, area_id = 21 },
	[578007] = { config_id = 578007, gadget_id = 70800436, pos = { x = -1129.455, y = 224.006, z = 2735.909 }, rot = { x = 0.000, y = 11.000, z = 0.000 }, level = 10, area_id = 21 },
	[578008] = { config_id = 578008, gadget_id = 70800436, pos = { x = -1130.251, y = 201.002, z = 2688.864 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 10, area_id = 21 },
	[578009] = { config_id = 578009, gadget_id = 70800436, pos = { x = -1138.816, y = 223.253, z = 2697.038 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 10, area_id = 21 },
	[578010] = { config_id = 578010, gadget_id = 70800436, pos = { x = -1149.807, y = 229.672, z = 2713.892 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 10, area_id = 21 },
	[578011] = { config_id = 578011, gadget_id = 70800436, pos = { x = -1114.215, y = 205.637, z = 2685.208 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 21 },
	[578012] = { config_id = 578012, gadget_id = 70800436, pos = { x = -1151.909, y = 229.672, z = 2727.160 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 21 },
	[578013] = { config_id = 578013, gadget_id = 70800436, pos = { x = -1115.372, y = 220.986, z = 2717.327 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 21 },
	[578014] = { config_id = 578014, gadget_id = 70800436, pos = { x = -1142.589, y = 201.066, z = 2684.414 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 21 },
	[578015] = { config_id = 578015, gadget_id = 70800436, pos = { x = -1174.643, y = 229.598, z = 2711.695 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 21 },
	[578016] = { config_id = 578016, gadget_id = 70800436, pos = { x = -1142.791, y = 229.789, z = 2720.808 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 21 },
	[578017] = { config_id = 578017, gadget_id = 70800436, pos = { x = -1130.815, y = 223.957, z = 2720.677 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 21 },
	[578018] = { config_id = 578018, gadget_id = 70800436, pos = { x = -1127.570, y = 223.910, z = 2723.150 }, rot = { x = 0.000, y = 24.613, z = 0.000 }, level = 10, area_id = 21 },
	[578020] = { config_id = 578020, gadget_id = 70800434, pos = { x = -1116.804, y = 220.571, z = 2735.930 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 10, area_id = 21 },
	[578022] = { config_id = 578022, gadget_id = 70800434, pos = { x = -1125.382, y = 222.045, z = 2730.543 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 21 },
	[578023] = { config_id = 578023, gadget_id = 70800434, pos = { x = -1145.232, y = 229.672, z = 2716.953 }, rot = { x = 0.000, y = 326.518, z = 0.000 }, level = 10, area_id = 21 },
	[578025] = { config_id = 578025, gadget_id = 70800434, pos = { x = -1153.125, y = 225.028, z = 2709.227 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 21 },
	[578026] = { config_id = 578026, gadget_id = 70800434, pos = { x = -1123.655, y = 202.702, z = 2691.150 }, rot = { x = 0.000, y = 160.000, z = 0.000 }, level = 10, area_id = 21 },
	[578027] = { config_id = 578027, gadget_id = 70800434, pos = { x = -1133.712, y = 219.851, z = 2700.510 }, rot = { x = 0.000, y = 160.000, z = 0.000 }, level = 10, area_id = 21 },
	[578028] = { config_id = 578028, gadget_id = 70800434, pos = { x = -1147.927, y = 228.595, z = 2730.531 }, rot = { x = 0.000, y = 64.079, z = 0.000 }, level = 10, area_id = 21 },
	[578029] = { config_id = 578029, gadget_id = 70800434, pos = { x = -1155.503, y = 229.697, z = 2725.975 }, rot = { x = 0.000, y = 356.967, z = 0.000 }, level = 10, area_id = 21 },
	[578030] = { config_id = 578030, gadget_id = 70800434, pos = { x = -1114.538, y = 221.170, z = 2721.429 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 21 },
	[578031] = { config_id = 578031, gadget_id = 70800434, pos = { x = -1121.310, y = 223.964, z = 2723.809 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 21 },
	[578032] = { config_id = 578032, gadget_id = 70800434, pos = { x = -1120.480, y = 221.991, z = 2733.116 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 21 },
	[578033] = { config_id = 578033, gadget_id = 70800434, pos = { x = -1105.177, y = 218.627, z = 2731.045 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 21 },
	[578035] = { config_id = 578035, gadget_id = 70800434, pos = { x = -1135.707, y = 224.085, z = 2728.724 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 21 },
	[578036] = { config_id = 578036, gadget_id = 70800434, pos = { x = -1116.823, y = 221.499, z = 2717.331 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 21 },
	[578037] = { config_id = 578037, gadget_id = 70800435, pos = { x = -1122.238, y = 222.095, z = 2709.909 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 21 },
	[578038] = { config_id = 578038, gadget_id = 70800435, pos = { x = -1121.629, y = 219.793, z = 2702.413 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 21 },
	[578039] = { config_id = 578039, gadget_id = 70800435, pos = { x = -1136.188, y = 223.200, z = 2698.510 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 21 },
	[578040] = { config_id = 578040, gadget_id = 70800435, pos = { x = -1144.799, y = 223.219, z = 2698.497 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 21 },
	[578041] = { config_id = 578041, gadget_id = 70800435, pos = { x = -1124.513, y = 219.879, z = 2706.493 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 21 },
	[578043] = { config_id = 578043, gadget_id = 70800435, pos = { x = -1112.750, y = 219.801, z = 2708.486 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 10, area_id = 21 },
	[578044] = { config_id = 578044, gadget_id = 70800435, pos = { x = -1149.655, y = 225.020, z = 2705.133 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 10, area_id = 21 },
	[578046] = { config_id = 578046, gadget_id = 70800435, pos = { x = -1136.517, y = 224.052, z = 2722.926 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 10, area_id = 21 },
	[578047] = { config_id = 578047, gadget_id = 70800435, pos = { x = -1147.601, y = 223.202, z = 2700.892 }, rot = { x = 0.000, y = 5.000, z = 0.000 }, level = 10, area_id = 21 },
	[578048] = { config_id = 578048, gadget_id = 70800435, pos = { x = -1093.578, y = 205.620, z = 2687.338 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 21 },
	[578049] = { config_id = 578049, gadget_id = 70800435, pos = { x = -1125.928, y = 222.037, z = 2732.379 }, rot = { x = 0.000, y = 20.000, z = 0.000 }, level = 10, area_id = 21 },
	[578050] = { config_id = 578050, gadget_id = 70800435, pos = { x = -1149.032, y = 228.595, z = 2729.938 }, rot = { x = 0.000, y = 20.000, z = 0.000 }, level = 10, area_id = 21 },
	[578051] = { config_id = 578051, gadget_id = 70800435, pos = { x = -1155.452, y = 229.697, z = 2728.406 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 21 },
	[578052] = { config_id = 578052, gadget_id = 70800435, pos = { x = -1159.989, y = 229.672, z = 2714.338 }, rot = { x = 0.000, y = 160.000, z = 0.000 }, level = 10, area_id = 21 },
	-- 场景猎人引导1
	[578057] = { config_id = 578057, gadget_id = 44000106, pos = { x = -1108.057, y = 215.549, z = 2716.139 }, rot = { x = 359.152, y = 358.193, z = 352.282 }, level = 10, area_id = 21 },
	-- 场景猎人引导2
	[578058] = { config_id = 578058, gadget_id = 44000106, pos = { x = -1105.783, y = 215.286, z = 2716.735 }, rot = { x = 358.995, y = 49.744, z = 352.671 }, level = 10, area_id = 21 },
	-- 场景猎人引导3
	[578059] = { config_id = 578059, gadget_id = 44000106, pos = { x = -1103.958, y = 215.272, z = 2717.250 }, rot = { x = 359.044, y = 51.806, z = 351.954 }, level = 10, area_id = 21 },
	[578066] = { config_id = 578066, gadget_id = 70800418, pos = { x = -1132.866, y = 225.292, z = 2708.948 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 }
}

-- 区域
regions = {
	[578081] = { config_id = 578081, shape = RegionShape.SPHERE, radius = 200, pos = { x = -1129.504, y = 223.993, z = 2700.595 }, area_id = 21 },
	[578082] = { config_id = 578082, shape = RegionShape.SPHERE, radius = 80, pos = { x = -1120.044, y = 217.786, z = 2726.590 }, area_id = 21 }
}

-- 触发器
triggers = {
}

-- 点位
points = {
	-- 场景猎手出生点
	{ config_id = 578083, pos = { x = -1103.358, y = 211.348, z = 2705.498 }, rot = { x = 0.000, y = 347.766, z = 0.000 }, area_id = 21 },
	-- 场景游侠出生点1
	{ config_id = 578084, pos = { x = -1108.057, y = 215.549, z = 2716.139 }, rot = { x = 359.152, y = 358.193, z = 352.282 }, area_id = 21 },
	-- 场景游侠出生点2
	{ config_id = 578085, pos = { x = -1105.783, y = 215.286, z = 2716.735 }, rot = { x = 352.997, y = 346.391, z = 357.612 }, area_id = 21 },
	-- 场景游侠出生点3
	{ config_id = 578086, pos = { x = -1103.958, y = 215.272, z = 2717.250 }, rot = { x = 352.367, y = 348.257, z = 357.275 }, area_id = 21 },
	-- 能量随机点1
	{ config_id = 578087, pos = { x = -1093.620, y = 208.022, z = 2689.534 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 21 },
	-- 能量随机点1
	{ config_id = 578088, pos = { x = -1124.613, y = 227.397, z = 2737.565 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 21 },
	-- 能量随机点1
	{ config_id = 578089, pos = { x = -1116.739, y = 222.460, z = 2717.378 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 21 },
	-- 能量随机点1
	{ config_id = 578090, pos = { x = -1168.340, y = 228.576, z = 2712.780 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 21 },
	-- 能量随机点1
	{ config_id = 578091, pos = { x = -1146.659, y = 225.695, z = 2697.189 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 21 },
	-- 能量随机点1
	{ config_id = 578092, pos = { x = -1110.921, y = 214.275, z = 2690.432 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 21 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 578001 },
		regions = { 578081, 578082 },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = ,
		monsters = { },
		gadgets = { 578002, 578003, 578004, 578006, 578007, 578008, 578009, 578010, 578011, 578012, 578013, 578014, 578015, 578016, 578017, 578018, 578020, 578022, 578023, 578025, 578026, 578027, 578028, 578029, 578030, 578031, 578032, 578033, 578035, 578036, 578037, 578038, 578039, 578040, 578041, 578043, 578044, 578046, 578047, 578048, 578049, 578050, 578051, 578052 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 3,
		-- description = ,
		monsters = { },
		gadgets = { 578005, 578066 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 4,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V3_3/HideAndSeek_Gallery_V3"
require "V3_3/HideAndSeek_Skill_V3"
